# Uses of Interface
org.eclipse.microprofile.rest.client.ext.AsyncInvocationInterceptor

Packages that use AsyncInvocationInterceptor
Package
Description
org.eclipse.microprofile.rest.client.ext
APIs for extending MP Rest Client functionality - such as new providers.

## Uses of AsyncInvocationInterceptor in org.eclipse.microprofile.rest.client.ext

Methods in org.eclipse.microprofile.rest.client.ext that return AsyncInvocationInterceptor
Modifier and Type
Method
Description
`AsyncInvocationInterceptor`
AsyncInvocationInterceptorFactory.`newInterceptor()`
Implementations of this method should return an implementation of the `AsyncInvocationInterceptor` interface.